var leaderStats = data.results[0].leaders[0].statistics;
var cols = 'FGM	FGA	FG%	3PM	3PA	3P%	FTM	FTA	FT%	2PM	2PA	2P%	SC-EFF	SH-EFF'.split('	')
let out = [];


for (let col of cols) {
    //console.log('check', col);
    let foundCol = false;
    let abbrs = [];
    loop1:
    for (let ci in leaderStats) {
        let statCat = leaderStats[ci];
        loop2:
        for (let si in statCat.stats) {
            abbrs.push(statCat.stats[si].abbreviation);
             
            if (statCat.stats[si].abbreviation === col) {
                foundCol = [Number(ci), Number(si)];
            }
        }
    }
    if (!foundCol) {
        console.error('couldnt find col', col);
        out.push('?');
    }
    else {
        out.push(foundCol);
    }
//console.log(abbrs)
}

console.log(JSON.stringify(out));